<?php
/**
 * @copyright   Copyright (C) Spiral Scripts. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

/**
 * System plugin to block account creation through Joomla vulnerability
 *
 * @since  2.5
 */
 

 
class PlgSystemAccountblocker extends JPlugin
{
	
	public function onAfterRoute()
	{
		$app  = JFactory::getApplication();
		if ($app->isAdmin())
		{
			return;
		}
		$task = $app->input->get("task");
		if($task == "user.register")
		{
			jexit();
		}
		
	}

}
